docs

# TelegramAPIUrlsKeeper

class TelegramAPIUrlsKeeper ( token: String , hostUrl: String = telegramBotAPIDefaultUrl, urlsSuffixes: String = "")
Content copied to clipboard

## Constructors

TelegramAPIUrlsKeeper
Link copied to clipboard
fun TelegramAPIUrlsKeeper ( token: String , testServer: Boolean , hostUrl: String = telegramBotAPIDefaultUrl)
Content copied to clipboard
TelegramAPIUrlsKeeper
Link copied to clipboard
fun TelegramAPIUrlsKeeper ( token: String , hostUrl: String = telegramBotAPIDefaultUrl, urlsSuffixes: String = "")
Content copied to clipboard

## Functions

checkWebAppData
Link copied to clipboard
fun checkWebAppData (rawData: String , hash: String ): Boolean
Content copied to clipboard
createFileLinkUrl
Link copied to clipboard
fun createFileLinkUrl (filePath: String ): String
Content copied to clipboard

## Properties

commonAPIUrl
Link copied to clipboard
val commonAPIUrl : String
Content copied to clipboard
fileBaseUrl
Link copied to clipboard
val fileBaseUrl : String
Content copied to clipboard
webAppDataSecretKey
Link copied to clipboard
val webAppDataSecretKey : String
Content copied to clipboard
webAppDataSecretKeyHash
Link copied to clipboard
val webAppDataSecretKeyHash : Hash
Content copied to clipboard

## Extensions

resolveFileURL
Link copied to clipboard
fun TelegramAPIUrlsKeeper . resolveFileURL (file: PathedFile ): String
Content copied to clipboard